Subject: Regarding hw irq to Linux irq mapping on ARM

From: [email-masked] (Mark Brown)
Date: Mon, 27 Sep 2010 10:15:31 -0700

On Sun, Sep 26, 2010 at 12:08:57AM +0100, Ben Dooks wrote:
> On 24/09/10 16:06, Mark Brown wrote:
> > On Fri, Sep 24, 2010 at 12:45:32AM +0100, Ben Dooks wrote:

> >> The i2c case, it is generally the code decoding the interrupt that needs
> >> to do this, and is part of the i2c specific driver, and is written as
> >> some form of thread or work-queue.

> > The standard thing these days is a threaded IRQ handler.

> Yes, however my first point was really do we care the method
> for the interrupt's detection when talking about mapping them?

Not really in the assignment of numbers but the fact that you're in an
interrupt thread rather than primary IRQ context does make a difference
to the IRQ handler, though some don't actually need to worry about it
and could benefit from being able to specify that they don't mind which
context they're in and can accept either context.